IntelliJ IDEA 2019.1 Help

Ruby Plugin

Ruby Plugin extends IntelliJ IDEA with the full-scale functionality for Ruby development.

Prerequisites

Before you start working with Ruby, make sure that Ruby plugin is installed and enabled.

Also make sure that the following prerequisites are met:

  • Ruby SDK is downloaded and installed on your machine.

  • The required framework SDKs are downloaded and installed on your machine.

Refer to their respective download and installation pages for details:

Changes to the UI

Being installed, the Ruby Plugin introduces the following changes to the IntelliJ IDEA UI:

  • Ruby module type is added to the New Project and New Module wizards.

    ruby plugin module type

  • Ruby SDK can be specified in the Add new SDK popup under the SDKs node of the Project Structure dialog.

    ruby plugin sdk

  • Rails is implemented as the facet, which can be attached to a Ruby module, either in the New Project dialog, or in the Modules or facets pages of the Project Structure dialog:

    ruby plugin rails facet
  • Ruby-related commands are added to the Tools menu:

    ruby plugin tools

  • Ruby and framework-specific run/debug configurations, inspections, intention actions, and refactorings.

Besides that, the following changes are made to the Settings/Preferences dialog:

Last modified: 23 April 2019

See Also

Language and Framework-Specific Guidelines:

External Links: